Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
FunctionCall Class Reference
Inheritance diagram for FunctionCall:

## Public Member Functions
| __init__ (self, func, *args, **kArgs)
| destroy (self)
| getState (self)
Public Member Functions inherited from ReceivesMultipleStateChanges
| __init__ (self)
Public Member Functions inherited from PushesStateChanges
| __init__ (self, value)
| pushCurrentState (self)

## Protected Member Functions
| _handleStateChange (self)
| _recvMultiStatePush (self, key, source)
Protected Member Functions inherited from ReceivesMultipleStateChanges
| _recvStatePush (self, source)
| _subscribeTo (self, source, key)
| _unsubscribe (self, key)
Protected Member Functions inherited from PushesStateChanges
| _addSubscription (self, subscriber)
| _handlePotentialStateChange (self, value)
| _removeSubscription (self, subscriber)

## Protected Attributes
| _args = args
list | _bakedArgs = []
dict | _bakedKargs = {}
| _func = func
bool | _initialized = False
| _kArgs = kArgs
Protected Attributes inherited from ReceivesMultipleStateChanges
dict | _key2source = {}
dict | _source2key = {}
Protected Attributes inherited from PushesStateChanges
| _subscribers = set()
| _value = value

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | func,
|  | * | args,
|  | ** | kArgs )

## Member Function Documentation

## ◆ _handleStateChange()

_handleStateChange | ( |  | self | ) |
| protected

Reimplemented from PushesStateChanges.

## ◆ _recvMultiStatePush()

_recvMultiStatePush | ( |  | self,
|  |  | key,
|  |  | source )
| protected

Reimplemented from ReceivesMultipleStateChanges.

## ◆ destroy()

destroy | ( |  | self | ) |

Reimplemented from ReceivesMultipleStateChanges.

## ◆ getState()

getState | ( |  | self | ) |

Reimplemented from PushesStateChanges.

## Member Data Documentation

## ◆ _args

_args = args
| protected

## ◆ _bakedArgs

_bakedArgs = []
| protected

## ◆ _bakedKargs

_bakedKargs = {}
| protected

## ◆ _func

_func = func
| protected

## ◆ _initialized

bool _initialized = False
| protected

## ◆ _kArgs

_kArgs = kArgs
| protected